package dev.lions.unionflow.server.api.enums.document;

/**
 * Énumération des types de documents
 *
 * @author UnionFlow Team
 * @version 3.0
 * @since 2025-01-29
 */
public enum TypeDocument {
  IDENTITE("Pièce d'Identité"),
  JUSTIFICATIF_DOMICILE("Justificatif de Domicile"),
  PHOTO("Photo"),
  CONTRAT("Contrat"),
  FACTURE("Facture"),
  RECU("Reçu"),
  RAPPORT("Rapport"),
  AUTRE("Autre");

  private final String libelle;

  TypeDocument(String libelle) {
    this.libelle = libelle;
  }

  public String getLibelle() {
    return libelle;
  }
}

